Payments
Create Payout
Sends fiat from a user’s available balance to a registered bank account.
Request
| Field | Type | Required | Description |
|---|---|---|---|
| Authorization | Header | Yes | Bearer <access_token> obtained from POST /api/v1/client/token. |
| user_id | Path | Yes | User whose balance is debited. |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| amount | number | Yes | Amount to send. |
| currency | string | Yes | Fiat currency (e.g. COP). |
| destinationId | uuid | Yes | Destination bank account. It must be APPROVED (see GET /admin/accounts). |
| paymentMethod | string | No | Rail used (e.g. ACH, BREB). |
Response
| Field | Description |
|---|---|
| id | Identifier of the payout. |
| status | Initial status (PENDING). |
| currency / amount | Amount sent. |
| paymentMethod | Rail used. |
POST
/
api
/
v1
/
admin
/
fiats
/
{user_id}
/
payout
Create Payout
curl --request POST \
--url https://test-api-kore.kravata.co/api/v1/admin/fiats/{user_id}/payout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 5000,
"currency": "COP",
"destinationId": "{{destination_account_id}}"
}
'import requests
url = "https://test-api-kore.kravata.co/api/v1/admin/fiats/{user_id}/payout"
payload = {
"amount": 5000,
"currency": "COP",
"destinationId": "{{destination_account_id}}"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 5000, currency: 'COP', destinationId: '{{destination_account_id}}'})
};
fetch('https://test-api-kore.kravata.co/api/v1/admin/fiats/{user_id}/payout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://test-api-kore.kravata.co/api/v1/admin/fiats/{user_id}/payout",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 5000,
'currency' => 'COP',
'destinationId' => '{{destination_account_id}}'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://test-api-kore.kravata.co/api/v1/admin/fiats/{user_id}/payout"
payload := strings.NewReader("{\n \"amount\": 5000,\n \"currency\": \"COP\",\n \"destinationId\": \"{{destination_account_id}}\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://test-api-kore.kravata.co/api/v1/admin/fiats/{user_id}/payout")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": 5000,\n \"currency\": \"COP\",\n \"destinationId\": \"{{destination_account_id}}\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://test-api-kore.kravata.co/api/v1/admin/fiats/{user_id}/payout")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 5000,\n \"currency\": \"COP\",\n \"destinationId\": \"{{destination_account_id}}\"\n}"
response = http.request(request)
puts response.read_body{
"id": "7572569e-4628-43ed-bb14-3479d2efbc8f",
"status": "PENDING",
"currency": "COP",
"amount": 5000,
"paymentMethod": "ACH"
}Create Payout
curl --request POST \
--url https://test-api-kore.kravata.co/api/v1/admin/fiats/{user_id}/payout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 5000,
"currency": "COP",
"destinationId": "{{destination_account_id}}"
}
'import requests
url = "https://test-api-kore.kravata.co/api/v1/admin/fiats/{user_id}/payout"
payload = {
"amount": 5000,
"currency": "COP",
"destinationId": "{{destination_account_id}}"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 5000, currency: 'COP', destinationId: '{{destination_account_id}}'})
};
fetch('https://test-api-kore.kravata.co/api/v1/admin/fiats/{user_id}/payout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://test-api-kore.kravata.co/api/v1/admin/fiats/{user_id}/payout",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 5000,
'currency' => 'COP',
'destinationId' => '{{destination_account_id}}'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://test-api-kore.kravata.co/api/v1/admin/fiats/{user_id}/payout"
payload := strings.NewReader("{\n \"amount\": 5000,\n \"currency\": \"COP\",\n \"destinationId\": \"{{destination_account_id}}\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://test-api-kore.kravata.co/api/v1/admin/fiats/{user_id}/payout")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": 5000,\n \"currency\": \"COP\",\n \"destinationId\": \"{{destination_account_id}}\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://test-api-kore.kravata.co/api/v1/admin/fiats/{user_id}/payout")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 5000,\n \"currency\": \"COP\",\n \"destinationId\": \"{{destination_account_id}}\"\n}"
response = http.request(request)
puts response.read_body{
"id": "7572569e-4628-43ed-bb14-3479d2efbc8f",
"status": "PENDING",
"currency": "COP",
"amount": 5000,
"paymentMethod": "ACH"
}
